# Uses of Class
javajs.util.M34

Packages that use M34
Package
Description
javajs.util
org.jmol.api
org.jmol.script
org.jmol.symmetry

## Uses of M34 in javajs.util

Subclasses of M34 in javajs.util
Modifier and Type
Class
Description
`class`
`M3`
A single precision floating point 3 by 3 matrix.
`class`
`M4`
A single precision floating point 4 by 4 matrix.
Methods in javajs.util with parameters of type M34
Modifier and Type
Method
Description
`protected void`
M34.`add33(M34 m1)`
`void`
M3.`setM3(M34 m1)`
Sets the value of this matrix to the double value of the Matrix3f argument.
`protected void`
M34.`setM33(M34 m1)`
Sets the value of this matrix to the double value of the Matrix3f argument.
`void`
M4.`setToM3(M34 m1)`
Sets the rotational component (upper 3x3) of this matrix to the matrix values in the single precision Matrix3f argument; the other elements of this matrix are initialized as if this were an identity matrix (ie, affine matrix with no translational component).
`protected void`
M34.`sub33(M34 m1)`

## Uses of M34 in org.jmol.api

Methods in org.jmol.api with parameters of type M34
Modifier and Type
Method
Description
`Object`
SymmetryInterface.`staticConvertOperation(String xyz, M34 matrix, String labels)`

## Uses of M34 in org.jmol.script

Methods in org.jmol.script that return M34
Modifier and Type
Method
Description
`protected M34`
ScriptParam.`getMatrixParam(int i, int dim, boolean throwError)`

## Uses of M34 in org.jmol.symmetry

Subclasses of M34 in org.jmol.symmetry
Modifier and Type
Class
Description
`class`
`SymmetryOperation`
Methods in org.jmol.symmetry with parameters of type M34
Modifier and Type
Method
Description
`static String`
SymmetryOperation.`getSpinString(M34 m, boolean isUVW, boolean withParens)`
allows for 3x3 rotation-only matrix;
`static String`
SymmetryOperation.`matrixToRationalString(M34 matrix)`
rxyz option creates tab-separated string representation of a 3x4 (r,t) or 3x3 matrix with rational fractions adds "|" prior to translation; does NOT add last row of 0 0 0 1 `( 1 -1 0 | 1/2 0 0 1 | -1/2 0 1 0 | 0 )`
`Object`
Symmetry.`staticConvertOperation(String xyz, M34 matrix, String labels)`
`static Object`
SymmetryOperation.`staticConvertOperation(String xyz, M34 matrix34, String labels)`